#
# spec file for package perl-CPAN-Meta-Check
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name CPAN-Meta-Check
Name:           perl-CPAN-Meta-Check
Version:        0.18.0
Release:        2.6
%define cpan_version 0.018
Provides:       perl(CPAN::Meta::Check) = 0.18.0
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Verify requirements in a CPAN::Meta object
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta) >= 2.120920
BuildRequires:  perl(CPAN::Meta::Prereqs) >= 2.132830
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121000
BuildRequires:  perl(Module::Metadata) >= 1.000023
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(CPAN::Meta::Prereqs) >= 2.132830
Requires:       perl(CPAN::Meta::Requirements) >= 2.121000
Requires:       perl(Module::Metadata) >= 1.000023
%undefine       __perllib_provides
%{perl_requires}

%description
This module verifies if requirements described in a CPAN::Meta object are
present.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Sat Jul 22 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.018
  see /usr/share/doc/packages/perl-CPAN-Meta-Check/Changes
  0.018     2023-07-21 16:23:58+02:00 Europe/Brussels
  - Fix version requirement for CPAN::Meta::Prereqs
  - Move issue tracker to github
* Wed Jan  4 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.017
  see /usr/share/doc/packages/perl-CPAN-Meta-Check/Changes
  0.017     2023-01-03 16:53:14+01:00 Europe/Amsterdam
  - Use Module::Metadata for more accurate testing
  0.016     2023-01-03 14:25:46+01:00 Europe/Amsterdam
  - Fix rounding issue in test
  0.015     2023-01-03 03:42:47+01:00 Europe/Amsterdam
  - Drop Test::Deep prereq
* Sat Nov 26 2016 coolo@suse.com
- updated to 0.014
  see /usr/share/doc/packages/perl-CPAN-Meta-Check/Changes
  0.014     2016-11-25 13:09:01+01:00 Europe/Amsterdam
  - Undef versions are now passed through to CPAN::Meta::Requirements
    for the check, rather than failing with "Missing version" errors.
* Thu Jul 21 2016 coolo@suse.com
- updated to 0.013
  see /usr/share/doc/packages/perl-CPAN-Meta-Check/Changes
  0.013     2016-07-20 22:26:07+02:00 Europe/Amsterdam
    Make tests more resilient against dev versions of dependencies
* Sun Jun 21 2015 coolo@suse.com
- updated to 0.012
  see /usr/share/doc/packages/perl-CPAN-Meta-Check/Changes
  0.012     2015-06-18 23:20:54+02:00 Europe/Amsterdam
    Drop dependency on Exporter 5.57
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.011
  see /usr/share/doc/packages/perl-CPAN-Meta-Check/Changes
  0.011     2015-03-22 10:07:52+01:00 Europe/Amsterdam
    Declare the minimum version required for the "merged_requirements" interface
* Sat Feb  7 2015 coolo@suse.com
- updated to 0.010
    bump Module::Metdata prereq for $VERSION parsing (RT#101095)
    Consistently require same version of CPAN::Meta::Requirements
    Various POD fixes
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.008
    Switch to using merged_requirements
    Test Env instead of Carp for version overshoot [#89591]
    Document $incdirs in the right function
* Sun Aug  4 2013 coolo@suse.com
- updated to 0.007
    Swap conflicts test, as underscore versions broke it
* Sat Jul 27 2013 coolo@suse.com
- updated to 0.006
    Fixed bad dereference during conflicts checking
* Wed Jun 26 2013 coolo@suse.com
- updated to 0.005
    Converted from Test::Differences to Test::Deep
    Don't load CPAN::Meta from CPAN::Meta::Check
* Fri Jun 29 2012 coolo@suse.com
- revert back to not relying on perl bundles (sigh)
* Wed Jun 27 2012 coolo@suse.com
- complete the previous change to also respect buildrequires
* Mon Jun 25 2012 coolo@suse.com
- for factory, the modules from perl are enough
* Thu May 31 2012 coolo@suse.com
- manually tweak versions to please rpm
* Wed May 30 2012 coolo@suse.com
- initial package 0.004
  * created by cpanspec 1.78.06
